local E, L, V, P, G = unpack(ElvUI)
local MyPluginName = "ThinkTankUI"
local ThinkTankUI = E:GetModule(MyPluginName);



--Cache global variables
--WoW API / Variables

--Global variables that we don't cache, list them here for the mikk's Find Globals script
-- GLOBALS: AddOnSkinsDB, LibStub
function ThinkTankUI:LoadAddOnSkinsProfile()
    
        --    AddonSkins - Settings

		
if AddOnSkinsDB["profiles"]["ThinkTankUI"] == nil then AddOnSkinsDB["profiles"]["ThinkTankUI"] = {} end
		
		-- defaults
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedLeft'] = 'Skada'
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedLeft'] = 'Skada'
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedMain'] = 'Skada'
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedRight'] = 'Skada'
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedSystem'] = false
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedSystemDual'] = false
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['ParchmentRemover'] = true
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['TransparentEmbed'] = false
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['DBMSkinHalf'] = true
		
		--   Embeded settings  	--
	if IsAddOnLoaded("Skada") then
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['SkadaBackdrop'] = false
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedFrameStrata'] = "2-LOW"
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedBelowTop'] = false
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedLeft'] = 'Skada'
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedMain'] = 'Skada'
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedRight'] = 'Skada'
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedSystem'] = false
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedSystemDual'] = true
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedLeftWidth'] = 197
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['TransparentEmbed'] = true
	end

	if IsAddOnLoaded("Details") then
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedFrameStrata'] = "2-LOW"
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['DetailsBackdrop'] = false
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedBelowTop'] = false
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedLeft'] = 'Details'
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedMain'] = 'Details'
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedRight'] = 'Details'
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedSystem'] = false
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedSystemDual'] = true
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['EmbedLeftWidth'] = 196
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['TransparentEmbed'] = true
	end

	if IsAddOnLoaded("DBM-Core") then
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['DBMFont'] = 'Expressway'
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['DBMFontSize'] = 12
		AddOnSkinsDB["profiles"]["ThinkTankUI"]['DBMRadarTrans'] = true
	end
	
        -- Profile creation
        local db = LibStub("AceDB-3.0"):New(AddOnSkinsDB)
        db:SetProfile("ThinkTankUI")
    end
	